Skip to main content

List price list levels

GET 

/api/price-list-levels

Required permissions:

  • pricelist.view: allows view resources of price list levels.

Here the dedicated support page.

Request

Query Parameters

    price_list_id integer

    Filter items by the price_list_id field.

    limit integer

    Possible values: >= 1 and <= 100

    Default value: 100

    The number of items to include in the response.

    offset integer

    Default value: 0

    The offset of the first returned item.

    updated_at date-time

    Filter items by the updated_at field.

    Operators:

    Usage: eq:{value}

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the list of price list levels for the company.

Schema

  • Array [

  • id integerrequired

    Possible values: >= 1

    The unique identifier of the resource

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    price_list_id integer

    Possible values: >= 1

    ID of the price list

    level_id integer

    Possible values: >= 1

    ID of the level

    price integerrequired

    The price of the price list level

    cost integerrequired

    The price of the price list level

  • ]

Loading...